
<%= f.error_notification %>
<%= f.error_notification message: f.object.errors[:base].to_sentence if f.object.errors[:base].present? %>

<div class="form-inputs">
  <%= f.input :username,
              required: true,
              autofocus: true,
              input_html: { autocomplete: "username" }%>
  <%= f.input :email,
              required: true,
              # autofocus: true,
              input_html: { autocomplete: "email" }%>
  <%= f.input :password,
              required: true,
              hint: ("#{@minimum_password_length} characters minimum" if @minimum_password_length),
              input_html: { autocomplete: "new-password" } %>
  <%= f.input :password_confirmation,
              required: true,
              input_html: { autocomplete: "new-password" } %>
</div>

<%= f.simple_fields_for :person, @user.person do |pform| %>
  <%= pform.input :firstname %>
  <%= pform.input :lastname %>
  <%= pform.input :adress %>
  <%= pform.input :phone %>
  <%= pform.input :moreinfo %>
<% end %>

<div class="form-actions">
  <%= f.button :submit, class: 'btn btn-outline-warning' %>
</div>
